# GridFire: src/include/gridfire/engine/types/building.h File Reference

Loading...
Searching...
No Matches
building.h File Reference
`#include <variant>`

Go to the source code of this file.

## Namespaces

namespace | gridfire

## Typedefs

using | gridfire::BuildDepthType = std::variant<NetworkBuildDepth, int>
| Variant specifying either a predefined NetworkBuildDepth or a custom integer depth.

## Enumerations

enum class | gridfire::NetworkBuildDepth { gridfire::Full = -1 , gridfire::Shallow = 1 , gridfire::SecondOrder = 2 , gridfire::ThirdOrder = 3 , gridfire::FourthOrder = 4 , gridfire::FifthOrder = 5 }
| Specifies supported depths for building the reaction network. More...